import { IHotelColorScheme } from '@roomstay/core';
import { Company } from '../../../models/Client/Hotel/Company';
import { Hotel } from '../../../models/Client/Hotel/Hotel';
import Step from '../Step';
import StepAddonValidator from './StepAddonValidator';
declare class StepAddon extends Step {
    constructor();
    getComponent(): () => import("react").JSX.Element;
    getValidator(): StepAddonValidator;
    getStepTranslation(): string;
    getColorProfile(company: Company, hotel?: Hotel): IHotelColorScheme | undefined;
}
declare const _default: StepAddon;
export default _default;
